API ReferenceRole Set
Replaces the RoleSet resource
PUT
Replaces the RoleSet resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringRoleSet identifier
The updated RoleSet resource
- body
roles?array<>name?stringLength
length <= 100RoleSet resource updated
- response
id?stringFormat
uuidshortCode?stringLength
6 <= length <= 6name?stringLength
length <= 100roles?array<>curl -X PUT 'https://app.icproject.com/api/instance/demo/user/role-sets/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "name": "string", "roles": [ "Check allowed_roles.yaml" ]}